Bug Hunting Session
Bug 103724 - CODE docker image: Provide docker config parameter for admin
Summary: CODE docker image: Provide docker config parameter for admin
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice Online
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Andras Timar
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: LOOL-Admin-Console
  Show dependency treegraph
 
Reported: 2016-11-05 12:51 UTC by fisch.666
Modified: 2019-02-03 05:33 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description fisch.666 2016-11-05 12:51:52 UTC
Hi,

the LibreOffice Online admin backend of the CODE docker image available at:

http://example.com/loleaflet/dist/admin/admin.html

is currently not accessible as no password is set within the CODE docker image. It would be great to get a configuration option like the one for the domain:

-e 'domain=cloud\\.example\\.com'

to be able to specify the username and password within the docker startup line. With that the admin backend actually would be use able without the need to manually fiddle around in the docker image and re-do the changes after every update of the docker image.

Thanks.
Comment 1 Andras Timar 2016-11-08 13:30:23 UTC
Good idea, thanks.
Comment 2 Andras Timar 2016-11-11 10:15:14 UTC
You can pass for example
  -e 'username=admin' -e 'password=123456'
to latest collabora/code. I pushed the image last night to docker hub.
Comment 3 fisch.666 2016-11-12 14:19:49 UTC
Hey, thanks for the quick implementation. Working great without any issues.